## rem 0.4.7

=== Makefile ===
#
# Makefile
#
# Copyright (C) 2010 Creytiv.com
#

# Master version number
VER_MAJOR := 0
VER_MINOR := 4
VER_PATCH := 7

PROJECT   := rem
VERSION   := 0.4.7
OPT_SPEED := 1

LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \
	echo "../re/mk/re.mk")
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f /usr/share/re/re.mk ] && \
	echo "/usr/share/re/re.mk")
endif
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f /usr/local/share/re/re.mk ] && \
	echo "/usr/local/share/re/re.mk")
endif

include $(LIBRE_MK)

# List of modules
MODULES += fir
MODULES += g711
MODULES += aubuf aufile auresamp autone
MODULES += au auconv

ifneq ($(HAVE_LIBPTHREAD),)
MODULES += aumix vidmix
endif

MODULES += vid vidconv

LIBS    += -lm

INSTALL := install
ifeq ($(DESTDIR),)
PREFIX  := /usr/local
else
PREFIX  := /usr
endif
ifeq ($(LIBDIR),)
LIBDIR  := $(PREFIX)/lib
endif
INCDIR  := $(PREFIX)/include/rem
CFLAGS	+= -I$(LIBRE_INC) -Iinclude


# XXX
ifneq ($(HAVE_ARMV6),)
CFLAGS		+= -DHAVE_ARMV6=1
endif
ifneq ($(HAVE_NEON),)
CFLAGS		+= -DHAVE_NEON=1
endif


MODMKS	:= $(patsubst %,src/%/mod.mk,$(MODULES))
SHARED  := librem$(LIB_SUFFIX)
STATIC	:= librem.a


include $(MODMKS)


OBJS	?= $(patsubst %.c,$(BUILD)/%.o,$(filter %.c,$(SRCS)))
OBJS	+= $(patsubst %.S,$(BUILD)/%.o,$(filter %.S,$(SRCS)))


all: $(SHARED) $(STATIC)


-include $(OBJS:.o=.d)


$(SHARED): $(OBJS)
	@echo "  LD      $@"
	@$(LD) $(LFLAGS) $(SH_LFLAGS) $^ -L$(LIBRE_SO) -lre $(LIBS) -o $@


$(STATIC): $(OBJS)
	@echo "  AR      $@"
	@$(AR) $(AFLAGS) $@ $^
ifneq ($(RANLIB),)
	@$(RANLIB) $@
endif

librem.pc:
	@echo 'prefix='$(PREFIX) > librem.pc
	@echo 'exec_prefix=$${prefix}' >> librem.pc
	@echo 'libdir=$${prefix}/lib' >> librem.pc
	@echo 'includedir=$${prefix}/include/rem' >> librem.pc
	@echo '' >> librem.pc
	@echo 'Name: librem' >> librem.pc
	@echo 'Description: Audio and video processing media library' \
		>> librem.pc
	@echo 'Version: '$(VERSION) >> librem.pc
	@echo 'URL: http://creytiv.com/rem.html' >> librem.pc
	@echo 'Libs: -L$${libdir} -lrem -lre' >> librem.pc
	@echo 'Cflags: -I$${includedir}' >> librem.pc

$(BUILD)/%.o: src/%.c $(BUILD) Makefile $(MK) $(MODMKS)
	@echo "  CC      $@"
	@$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)


$(BUILD)/%.o: src/%.S $(BUILD) Makefile $(MK) $(MODMKS)
	@echo "  AS      $@"
	@$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)


$(BUILD): Makefile $(MK) $(MODMKS)
	@mkdir -p $(patsubst %,$(BUILD)/%,$(sort $(dir $(SRCS))))
	@touch $@


.PHONY: clean
clean:
	@rm -rf $(SHARED) $(STATIC) librem.pc test.d test.o test $(BUILD)


install: $(SHARED) $(STATIC) librem.pc
	@mkdir -p $(DESTDIR)$(LIBDIR) $(DESTDIR)$(LIBDIR)/pkgconfig \
		$(DESTDIR)$(INCDIR)
	$(INSTALL) -m 0644 $(shell find include -name "*.h") \
		$(DESTDIR)$(INCDIR)
	$(INSTALL) -m 0755 $(SHARED) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0755 $(STATIC) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0644 librem.pc $(DESTDIR)$(LIBDIR)/pkgconfig

.PHONY: uninstall
uninstall:
	@rm -rf $(DESTDIR)$(INCDIR)
	@rm -f $(DESTDIR)$(LIBDIR)/$(SHARED)
	@rm -f $(DESTDIR)$(LIBDIR)/$(STATIC)
	@rm -f $(DESTDIR)$(LIBDIR)/pkgconfig/librem.pc

-include test.d

test.o:	test.c
	@echo "  CC      $@"
	@$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)

test$(BIN_SUFFIX): test.o $(SHARED) $(STATIC)
	@echo "  LD      $@"
	@$(LD) $(LFLAGS) $< -L. -lrem -lre $(LIBS) -o $@

=== debian/changelog ===
rem (0.4.7-2) unstable; urgency=low

  [ Vasudev Kamath ]
  * Mark Debian Multimedia team as maintainer for the package.
    Add myself to Uploaders.
  * Add 1001_fix_libre_linking patch to fix the libre0 linking issue.
    Closes: Bug#817041. Thanks to Guillem Jover.
  * Add libre quirk to d-shlibmove.

  [ Jonas Smedegaard ]
  * Add myself as uploader.
  * Declare compliance with Debian Policy 3.9.7.
  * Update copyright info:
    + Add myself as copyright holder.
    + Add copyright & licensing header to rules file.
    + Relicense packaging except patches as GPL-3+.
    + Fix upstream project name (according to upstream README).
    + Fix add upstream tarball source URL (preserving SVN URL as
      secondary source).
    + Fix use double-space as delimiter between copyright holders.
    + Update preferred form of contact, based on upstream README.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#s786450.
  * Bump watch file to format 4.
  * Add lintian override regarding debhelper 9.
  * Add lintian override regarding GPL-licensed packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Mar 2016 13:30:47 +0100

rem (0.4.7-1) unstable; urgency=medium

  * Initial Release.
    Closes: bug#673882.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 31 Oct 2015 21:54:53 +0530

=== debian/control ===
Source: rem
Section: libs
Priority: optional
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 d-shlibs,
 libre-dev,
 libssl-dev,
 zlib1g-dev,
 pkg-kde-tools
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Ramakrishnan Muthukrishnan <ram@rkrishnan.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Standards-Version: 3.9.7
Homepage: http://www.creytiv.com/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/librem.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/librem.git

Package: librem0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: toolkit library for real-time audio and video processing
 A compact, portable and generic library for realtime audio and video
 processing.
 .
 Library has following features:
  * Audio buffering, mixing, codecs and resampling
  * Video mixing, rescaling and pixel format conversion
 .
 Library was designed with following goals:
  * Portable POSIX source code (ANSI C89 and ISO C99 standard)
  * Intelligent and user friendly APIs
  * Robust, fast, low memory footprint

Package: librem-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librem0 (= ${binary:Version}),
 ${misc:Depends},
 ${devlibs:Depends}
Description: library for real-time audio and video processing (development)
 A compact, portable and generic library for realtime audio and video
 processing.
 .
 Library has following features:
  * Audio buffering, mixing, codecs and resampling
  * Video mixing, rescaling and pixel format conversion
 .
 Library was designed with following goals:
  * Portable POSIX source code (ANSI C89 and ISO C99 standard)
  * Intelligent and user friendly APIs
  * Robust, fast, low memory footprint
 .
 This package provides required development header files which allows
 integrating librem with your application.

Package: librem0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
 librem0 (= ${binary:Version})
Description: library for real-time audio and video processing - debug symbols
 A compact, portable and generic library for realtime audio and video
 processing.
 .
 Library has following features:
  * Audio buffering, mixing, codecs and resampling
  * Video mixing, rescaling and pixel format conversion
 .
 Library was designed with following goals:
  * Portable POSIX source code (ANSI C89 and ISO C99 standard)
  * Intelligent and user friendly APIs
  * Robust, fast, low memory footprint
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2015 Vasudev Kamath <kamathvasudev@gmail.com>
# Copyright 2015 Ramakrishnan Muthukrishnan <ram@rkrishnan.org>
# Copyright 2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for librem
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

major := $(shell perl -ne '/\bVER_MAJOR := (\d+)/ and print $$1' Makefile)
lib = librem
pkg-lib = $(lib)$(major)

# TODO: Drop this when makefile.mk from CDBS can handle the package.
EXTRA_CFLAGS := "$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
EXTRA_LFLAGS := "$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,librem.so.0"

DEB_PHONY_RULES += debian/control.in
debian/control:: debian/control.in
debian/control.in:: debian/control.in.in
	sed -e 's/__PKG-LIB__/$(pkg-lib)/g' <$< >$@

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg-dev = $(lib)-dev
pkg-dbg = $(pkg-lib)-dbg

DEB_UPSTREAM_URL = http://www.creytiv.com/pub
DEB_UPSTREAM_TARBALL_BASENAME = rem-$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_MD5 = dc7f76de6d3aff19200eb6d0a41dd332

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Build depends
CDBS_BUILD_DEPENDS +=, d-shlibs, libre-dev, libssl-dev, zlib1g-dev, pkg-kde-tools

# LIBDIR for installation
LIBDIR=/usr/lib/

# TODO: Drop when makefiles.mk can handle the package
common-build-arch common-build-indep:: build_rem_package
build_rem_package:
	make info all RELEASE=1 \
		USE_OPENSSL=1 \
		USE_ZLIB=1 \
		EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
		EXTRA_LFLAGS=$(EXTRA_LFLAGS) \
		LIB_SUFFIX=.so.0

common-install-arch common-install-indep:: install_rem_package
install_rem_package:
	make install DESTDIR=debian/tmp \
		LIBDIR=$(LIBDIR) \
		LIB_SUFFIX=.so.0
	cd debian/tmp/$(LIBDIR) && ln -s -f librem.so.0 librem.so
	sed -i "s,libdir=\$${prefix}/lib,libdir=\$${prefix}/lib/$(DEB_TARGET_MULTIARCH)," debian/tmp/$(LIBDIR)/pkgconfig/librem.pc

binary-post-install/$(pkg-lib) binary-post-install/$(pkg-dev):: \
 debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): \
 binary-install/$(pkg-lib) binary-install/$(pkg-dev)
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--multiarch \
		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
		--override s/libre0-dev/libre-dev/ \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib//pkgconfig/librem.pc" usr/lib/$(DEB_TARGET_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)
	make clean

=== debian/watch ===
version = 4
http://www.creytiv.com/pub/rem-(.*).tar.gz

## rem 0.5.0

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 # Master version number
 VER_MAJOR := 0
-VER_MINOR := 4
-VER_PATCH := 7
+VER_MINOR := 5
+VER_PATCH := 0
 
 PROJECT   := rem
-VERSION   := 0.4.7
+VERSION   := 0.5.0
 OPT_SPEED := 1
 
 LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \

=== debian/changelog ===
rem (0.5.0-3) unstable; urgency=medium

  * Drop arm64 from optimized DSP assembler code generation. This fixes
    FTBFS on arm64.

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 29 Dec 2016 19:47:45 +0530

rem (0.5.0-2) unstable; urgency=medium

  * Let CDBS resolve build flags.
  * Fix tidy trailing newlines throughout packaging files.
  * Update watch file:
    + Add usage comment.
    + Strip spaces from version string.
    ' Fix use patterns to limit version match (and suffix, while at it).
  * Update git-buildpackage config: Enable pristine-tar.
  * Drop CDBS get-orig-source target: Use gbp import-orig --uscan.
  * Enable modules avmix vidmix.
  * Enable optimized DSP assembler code for armhf and arm64.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Dec 2016 01:12:37 +0100

rem (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
    + Project moved to github.
    + Removed support for Symbian OS
    + Add support for YUV444P pixel format in vid module.
    + Fix conversion from yuv420p to nv12 and vice versa in vidconv
      module.
  * debian/copyirhgt:
    + Extended upstream copyright period to 2016
    + Extended copyright period for myself to 2016
    + Add github project location to Source section.
  * Updated debian/copyright_hints folder.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 10 Dec 2016 13:16:23 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs,
- devscripts,
+ licensecheck,
  debhelper,
  dh-buildinfo,
  d-shlibs,
@@ -14,7 +14,7 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Ramakrishnan Muthukrishnan <ram@rkrishnan.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.creytiv.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/librem.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/librem.git

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,9 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-major := $(shell perl -ne '/\bVER_MAJOR := (\d+)/ and print $$1' Makefile)
+major := $(shell grep -Po '\bVER_MAJOR := \K\d+' Makefile)
 lib = librem
 pkg-lib = $(lib)$(major)
-
-# TODO: Drop this when makefile.mk from CDBS can handle the package.
-EXTRA_CFLAGS := "$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
-EXTRA_LFLAGS := "$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,librem.so.0"
 
 DEB_PHONY_RULES += debian/control.in
 debian/control:: debian/control.in
@@ -32,23 +28,17 @@
 	sed -e 's/__PKG-LIB__/$(pkg-lib)/g' <$< >$@
 
 include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/class/langcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg-dev = $(lib)-dev
 pkg-dbg = $(pkg-lib)-dbg
 
-DEB_UPSTREAM_URL = http://www.creytiv.com/pub
-DEB_UPSTREAM_TARBALL_BASENAME = rem-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = dc7f76de6d3aff19200eb6d0a41dd332
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
 # Build depends
 CDBS_BUILD_DEPENDS +=, d-shlibs, libre-dev, libssl-dev, zlib1g-dev, pkg-kde-tools
+
+LDFLAGS += -Wl,-soname,librem.so.0
 
 # LIBDIR for installation
 LIBDIR=/usr/lib/
@@ -57,10 +47,12 @@
 common-build-arch common-build-indep:: build_rem_package
 build_rem_package:
 	make info all RELEASE=1 \
+		HAVE_LIBPTHREAD=1 \
+		HAVE_ARMV6=$(filter armhf ,$(DEB_HOST_ARCH)) \
 		USE_OPENSSL=1 \
 		USE_ZLIB=1 \
-		EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
-		EXTRA_LFLAGS=$(EXTRA_LFLAGS) \
+		EXTRA_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+		EXTRA_LFLAGS="$(LDFLAGS)" \
 		LIB_SUFFIX=.so.0
 
 common-install-arch common-install-indep:: install_rem_package

## rem 0.5.1

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 # Master version number
 VER_MAJOR := 0
 VER_MINOR := 5
-VER_PATCH := 0
+VER_PATCH := 1
 
 PROJECT   := rem
-VERSION   := 0.5.0
+VERSION   := 0.5.1
 OPT_SPEED := 1
 
 LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \

=== debian/changelog ===
rem (0.5.1-3) unstable; urgency=medium

  [ Vasudev Kamath ]
  * Remove Ramakrishnan Muthukrishnan from uploaders list.
    Thanks for your contributions, Ramakrishnan!.
    Closes: bug#859280. Thanks to Mattia Rizzolo.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2017 14:58:49 -0400

rem (0.5.1-2) unstable; urgency=medium

  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.0.
  * Tighten lintian overrides regarding license in License-Reference
    field.
  * Add lintian overrides regarding FIXMEs in copyright_hints file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2017 14:52:40 -0400

rem (0.5.1-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Have git-buildpackage filter any .git* file (and not unused .svn).
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on licensecheck.
  * Update copyright info:
    + Drop alternate Subversion URL (assumed obsolete).
    + Use git protocol for alternate git URL.
    + Extend coverage for main upstream authors.
    + Extend coverage for myself.
  * Git-ignore quilt .pc dir.
  * Unfuzz patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 May 2017 16:07:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs,
- licensecheck,
  debhelper,
  dh-buildinfo,
  d-shlibs,
@@ -12,12 +11,11 @@
  pkg-kde-tools
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
- Ramakrishnan Muthukrishnan <ram@rkrishnan.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.creytiv.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/librem.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/librem.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/librem.git
 
 Package: librem0
 Section: libs

## rem 0.5.2

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 # Master version number
 VER_MAJOR := 0
 VER_MINOR := 5
-VER_PATCH := 1
+VER_PATCH := 2
 
 PROJECT   := rem
-VERSION   := 0.5.1
+VERSION   := 0.5.2
 OPT_SPEED := 1
 
 LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \
@@ -27,9 +27,9 @@
 include $(LIBRE_MK)
 
 # List of modules
-MODULES += fir
+MODULES += fir goertzel
 MODULES += g711
-MODULES += aubuf aufile auresamp autone
+MODULES += aubuf aufile auresamp autone dtmf
 MODULES += au auconv
 
 ifneq ($(HAVE_LIBPTHREAD),)

=== debian/changelog ===
rem (0.5.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix reorder patches.
  * Declare compliance with Debian Policy 4.1.1.
  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Sep 2017 01:52:06 +0200

rem (0.5.1-4) unstable; urgency=medium

  * Modernize Vcs-* fields: Fix link to project rem (not bogus librem).
  * Declare compliance with Debian Policy 4.1.0.
  * Tighten lintian overrides regarding License-Reference.
  * Advertise DEP-3 format in patch headers.
  * Update copyright info: Use https protocol in file format URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2017 12:15:46 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://www.creytiv.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/librem.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/librem.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rem.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/rem.git
 
 Package: librem0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright 2015 Vasudev Kamath <kamathvasudev@gmail.com>
 # Copyright 2015 Ramakrishnan Muthukrishnan <ram@rkrishnan.org>
-# Copyright 2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2016-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for librem
 #
 # This program is free software; you can redistribute it and/or modify
@@ -28,7 +28,6 @@
 	sed -e 's/__PKG-LIB__/$(pkg-lib)/g' <$< >$@
 
 include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/langcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
http://www.creytiv.com/pub/rem-@ANY_VERSION@@ARCHIVE_EXT@

## rem 0.5.3

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 # Master version number
 VER_MAJOR := 0
 VER_MINOR := 5
-VER_PATCH := 2
+VER_PATCH := 3
 
 PROJECT   := rem
-VERSION   := 0.5.2
+VERSION   := 0.5.3
 OPT_SPEED := 1
 
 LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \

=== debian/changelog ===
rem (0.5.3-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + auresamp: avoid FIR filtering if output sample rate equals input.
    + build: Update Windows project.
    + vid: vidframe_draw_point: correct endian for RGB32.

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Declare compliance with Debian Policy 4.1.4.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2018 13:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  libssl-dev,
  zlib1g-dev,
  pkg-kde-tools
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://www.creytiv.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rem.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/rem.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/rem.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/rem
 
 Package: librem0
 Section: libs
@@ -64,7 +64,6 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Priority: extra
 Depends: ${misc:Depends},
  librem0 (= ${binary:Version})
 Description: library for real-time audio and video processing - debug symbols

## rem 0.6.0

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 # Master version number
 VER_MAJOR := 0
-VER_MINOR := 5
-VER_PATCH := 3
+VER_MINOR := 6
+VER_PATCH := 0
 
 PROJECT   := rem
-VERSION   := 0.5.3
+VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
 OPT_SPEED := 1
 
 LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \
@@ -37,6 +37,7 @@
 endif
 
 MODULES += vid vidconv
+MODULES += avc
 
 LIBS    += -lm

=== debian/changelog ===
rem (0.6.0-4.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:55:38 +1100

rem (0.6.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062855

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Mar 2024 01:39:57 +0000

rem (0.6.0-4) unstable; urgency=medium

  * build with hardening=+all

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2020 11:19:39 +0200

rem (0.6.0-3) unstable; urgency=medium

  * package now maintained in VOIP team:
    update Maintainer and Vcs-* fields
  * update git-buildpackage config to use DEP-14 branch debian/sid
  * simplify source script copyright-chceck

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Aug 2020 11:53:10 +0200

rem (0.6.0-2) unstable; urgency=medium

  * simplify rules: use dh sequencer;
    stop build-depend on cdbs dh-buildinfo
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * watch: rewrite usage comment
  * copyright: update coverage
  * migrate to automatically created debug package

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Jun 2020 14:50:49 +0200

rem (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Stop apply API (major version) to control file.
  * Update watch file: Fix typo in usage comment.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.
  * Wrap and sort control file.
  * Update copyright info: Extend coverage of packaging.
  * Unfuzz patches.
  * Update symbols: 2 symbols added.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Nov 2018 22:47:28 +0100

=== debian/control ===
Source: rem
Section: libs
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5),
 d-shlibs (>= 0.106~),
 debhelper-compat (= 12),
 libre-dev,
 libssl-dev,
 pkg-kde-tools,
 zlib1g-dev,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Vasudev Kamath <vasudev@copyninja.info>,
Standards-Version: 4.5.0
Homepage: http://www.creytiv.com/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/rem.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/rem
Rules-Requires-Root: no

Package: librem0t64
Provides: ${t64:Provides}
Replaces: librem0
Conflicts: librem0 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: toolkit library for real-time audio and video processing
 A compact, portable and generic library for realtime audio and video
 processing.
 .
 Library has following features:
  * Audio buffering, mixing, codecs and resampling
  * Video mixing, rescaling and pixel format conversion
 .
 Library was designed with following goals:
  * Portable POSIX source code (ANSI C89 and ISO C99 standard)
  * Intelligent and user friendly APIs
  * Robust, fast, low memory footprint

Package: librem-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librem0t64 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Description: library for real-time audio and video processing (development)
 A compact, portable and generic library for realtime audio and video
 processing.
 .
 Library has following features:
  * Audio buffering, mixing, codecs and resampling
  * Video mixing, rescaling and pixel format conversion
 .
 Library was designed with following goals:
  * Portable POSIX source code (ANSI C89 and ISO C99 standard)
  * Intelligent and user friendly APIs
  * Robust, fast, low memory footprint
 .
 This package provides required development header files which allows
 integrating librem with your application.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

MAJOR := $(shell grep -Po '\bVER_MAJOR := \K\d+' Makefile)
LIB = librem

LDFLAGS += -Wl,-soname,$(LIB).so.$(MAJOR)

# LIBDIR for installation
LIBDIR=/usr/lib/

override_dh_auto_build:
	dh_auto_build -- info all \
		RELEASE=1 \
		HAVE_LIBPTHREAD=1 \
		HAVE_ARMV6=$(filter armhf ,$(DEB_HOST_ARCH)) \
		USE_OPENSSL=1 \
		USE_ZLIB=1 \
		EXTRA_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		EXTRA_LFLAGS="$(LDFLAGS)" \
		LIB_SUFFIX=.so.$(MAJOR)

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- \
		LIBDIR=$(LIBDIR) \
		LIB_SUFFIX=.so.$(MAJOR)
	cd debian/tmp/$(LIBDIR) && ln -s -f $(LIB).so.$(MAJOR) $(LIB).so
	sed -i "s,libdir=\$${prefix}/lib,libdir=\$${prefix}/lib/$(DEB_TARGET_MULTIARCH)," debian/tmp/$(LIBDIR)/pkgconfig/$(LIB).pc

override_dh_install:
	dh_install
	d-shlibmove --commit \
		--t64 \
		--devunversioned \
		--exclude-la \
		--multiarch \
		--override s/$(LIB)$(MAJOR)-dev/$(LIB)-dev/ \
		--override s/libre0-dev/libre-dev/ \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib//pkgconfig/$(LIB).pc" usr/lib/$(DEB_TARGET_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(LIB).so

override_dh_strip:
	dh_strip --dbgsym-migration='librem0-dbg (<< 0.6.0-2~)'

override_dh_auto_clean:
	dh_auto_clean -- LIB_SUFFIX=.so.0

%:
	dh $@ --with pkgkde_symbolshelper

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

http://www.creytiv.com/pub/rem-@ANY_VERSION@@ARCHIVE_EXT@

## rem 1.0.0

=== Makefile ===
--- 
+++ 
@@ -4,15 +4,16 @@
 # Copyright (C) 2010 Creytiv.com
 #
 
-# Master version number
-VER_MAJOR := 0
-VER_MINOR := 6
+# Main version number
+VER_MAJOR := 1
+VER_MINOR := 0
 VER_PATCH := 0
 
 PROJECT   := rem
 VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
 OPT_SPEED := 1
 
+ifndef LIBRE_MK
 LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \
 	echo "../re/mk/re.mk")
 ifeq ($(LIBRE_MK),)
@@ -23,6 +24,7 @@
 LIBRE_MK  := $(shell [ -f /usr/local/share/re/re.mk ] && \
 	echo "/usr/local/share/re/re.mk")
 endif
+endif
 
 include $(LIBRE_MK)
 
@@ -30,14 +32,16 @@
 MODULES += fir goertzel
 MODULES += g711
 MODULES += aubuf aufile auresamp autone dtmf
-MODULES += au auconv
+MODULES += au auconv aulevel
 
 ifneq ($(HAVE_LIBPTHREAD),)
 MODULES += aumix vidmix
 endif
 
 MODULES += vid vidconv
+MODULES += aac
 MODULES += avc
+MODULES += h264
 
 LIBS    += -lm

=== debian/changelog ===
rem (1.0.0-3) unstable; urgency=medium

  * export build tools for make install to fix FTCBFS;
    closes: bug#1095593, thanks to Helmut Grohne
  * add metadata about upstream project
  * update git-buildpackage config:
    + use branch debian/latest upstream/latest
    + stop set tarball_dir
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 17:04:40 +0100

rem (1.0.0-2) unstable; urgency=medium

  * Team upload
  * Keep dpkg-dev versioned build dependency

 -- Bastian Germann <bage@debian.org>  Sun, 05 May 2024 18:21:06 +0000

rem (1.0.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop override d-shlibs for libre,
    covered since d-shlibs 0.68
  * switch watch file, Homepage, Source and Upstream-Contact URIs
    to track baresip fork at Github
  * update copyright info:
    + use Reference field (not License-Reference)
    + update coverage
  * declare compliance with Debian Policy 4.6.0
  * use debhelper compatibility level 13 (not 12)
  * provide binary package librem1 (not librem0)
  * tighten build-dependency on libre-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Dec 2021 22:44:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,25 @@
 Source: rem
 Section: libs
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5),
- d-shlibs (>= 0.106~),
- debhelper-compat (= 12),
- libre-dev,
+Build-Depends:
+ dpkg-dev (>= 1.22.5),
+ d-shlibs,
+ debhelper-compat (= 13),
+ libre-dev (>= 1.1.0),
  libssl-dev,
  pkg-kde-tools,
  zlib1g-dev,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
-Standards-Version: 4.5.0
-Homepage: http://www.creytiv.com/
+Standards-Version: 4.6.0
+Homepage: https://github.com/baresip/rem
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/rem.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/rem
 Rules-Requires-Root: no
 
-Package: librem0t64
-Provides: ${t64:Provides}
-Replaces: librem0
-Conflicts: librem0 (<< ${source:Version})
+Package: librem1
 Section: libs
 Architecture: any
 Depends:
@@ -49,7 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- librem0t64 (= ${binary:Version}),
+ librem1 (= ${binary:Version}),
  ${devlibs:Depends},
  ${misc:Depends},
 Description: library for real-time audio and video processing (development)

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DPKG_EXPORT_BUILDTOOLS = 1
+include /usr/share/dpkg/buildtools.mk
 
 MAJOR := $(shell grep -Po '\bVER_MAJOR := \K\d+' Makefile)
 LIB = librem
@@ -30,24 +33,18 @@
 	cd debian/tmp/$(LIBDIR) && ln -s -f $(LIB).so.$(MAJOR) $(LIB).so
 	sed -i "s,libdir=\$${prefix}/lib,libdir=\$${prefix}/lib/$(DEB_TARGET_MULTIARCH)," debian/tmp/$(LIBDIR)/pkgconfig/$(LIB).pc
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	d-shlibmove --commit \
-		--t64 \
 		--devunversioned \
 		--exclude-la \
 		--multiarch \
 		--override s/$(LIB)$(MAJOR)-dev/$(LIB)-dev/ \
-		--override s/libre0-dev/libre-dev/ \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		--movedev "debian/tmp/usr/lib//pkgconfig/$(LIB).pc" usr/lib/$(DEB_TARGET_MULTIARCH)/pkgconfig \
 		debian/tmp/usr/lib/$(LIB).so
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='librem0-dbg (<< 0.6.0-2~)'
-
 override_dh_auto_clean:
-	dh_auto_clean -- LIB_SUFFIX=.so.0
+	dh_auto_clean -- LIB_SUFFIX=.so.$(MAJOR)
 
 %:
 	dh $@ --with pkgkde_symbolshelper

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
uversionmangle=s/\d\K-([a-z]+)\.?(\d)?/~$1$2/,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
searchmode=plain,\
dversionmangle=auto \
https://api.github.com/repos/baresip/rem/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## rem 1.1.1

=== DESCRIPTION ===
Package: rem
Type: Package
Title: Relational Event Models (REM)
Version: 1.1.1
Date: 2016-01-02
Author: Laurence Brandenberger
Maintainer: Laurence Brandenberger <laurence.brandenberger@eawag.ch>
Description: Calculate endogenous network effects in event sequences and fit relational event models (REM): Using network event sequences (where each tie between a sender and a target in a network is time-stamped), REMs can measure how networks form and evolve over time. Endogenous patterns such as popularity effects, inertia, similarities, cycles or triads can be calculated and analyzed over time.
License: GPL (>= 2)
Depends: R (>= 2.14.0)
Imports: Rcpp, flexsurv, survival
LinkingTo: Rcpp
Suggests: xergm, texreg, statnet, ggplot2
Repository: CRAN
Repository/R-Forge/Project: xergm
Repository/R-Forge/Revision: 164
Repository/R-Forge/DateTimeStamp: 2016-01-02 07:28:45
Date/Publication: 2016-01-02 09:50:55
NeedsCompilation: yes
Packaged: 2016-01-02 07:45:52 UTC; rforge

## rem 1.1.2

=== DESCRIPTION ===
Package: rem
Type: Package
Title: Relational Event Models (REM)
Version: 1.1.2
Date: 2016-02-16
Author: Laurence Brandenberger
Maintainer: Laurence Brandenberger <laurence.brandenberger@eawag.ch>
Description: Calculate endogenous network effects in event sequences and fit relational event models (REM): Using network event sequences (where each tie between a sender and a target in a network is time-stamped), REMs can measure how networks form and evolve over time. Endogenous patterns such as popularity effects, inertia, similarities, cycles or triads can be calculated and analyzed over time.
License: GPL (>= 2)
Depends: R (>= 2.14.0)
Imports: Rcpp, flexsurv, survival
LinkingTo: Rcpp
Suggests: xergm, texreg, statnet, ggplot2
Repository: CRAN
Repository/R-Forge/Project: xergm
Repository/R-Forge/Revision: 182
Repository/R-Forge/DateTimeStamp: 2016-02-19 13:22:45
Date/Publication: 2016-02-19 23:50:57
NeedsCompilation: yes
Packaged: 2016-02-19 13:25:13 UTC; rforge

## rem 1.2.8

=== DESCRIPTION ===
Package: rem
Type: Package
Title: Relational Event Models (REM)
Version: 1.2.8
Date: 2017-06-23
Author: Laurence Brandenberger
Maintainer: Laurence Brandenberger <laurence.brandenberger@eawag.ch>
Description: Calculate endogenous network effects in event sequences and fit relational event models (REM): Using network event sequences (where each tie between a sender and a target in a network is time-stamped), REMs can measure how networks form and evolve over time. Endogenous patterns such as popularity effects, inertia, similarities, cycles or triads can be calculated and analyzed over time.
License: GPL (>= 2)
Depends: R (>= 2.14.0)
Imports: Rcpp, foreach, doParallel
LinkingTo: Rcpp
Suggests: texreg, statnet, ggplot2
NeedsCompilation: yes
Packaged: 2017-06-23 08:45:06 UTC; lenzibrandenberger
Repository: CRAN
Date/Publication: 2017-06-23 10:37:59 UTC

## rem 1.3.1

=== DESCRIPTION ===
Package: rem
Type: Package
Title: Relational Event Models (REM)
Version: 1.3.1
Date: 2018-10-24
Author: Laurence Brandenberger
Maintainer: Laurence Brandenberger <lbrandenberger@ethz.ch>
Description: Calculate endogenous network effects in event sequences and fit relational event models (REM): Using network event sequences (where each tie between a sender and a target in a network is time-stamped), REMs can measure how networks form and evolve over time. Endogenous patterns such as popularity effects, inertia, similarities, cycles or triads can be calculated and analyzed over time.
License: GPL (>= 2)
Depends: R (>= 2.14.0)
Imports: Rcpp, foreach, doParallel
LinkingTo: Rcpp
Suggests: texreg, statnet, ggplot2
NeedsCompilation: yes
Packaged: 2018-10-25 08:28:46 UTC; lenzibrandenberger
Repository: CRAN
Date/Publication: 2018-10-25 13:10:24 UTC
